<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  禁止IP一覧情報の取得
 *
 *  @access public
 */
function db_get_blocks4block_list()
{
    $sql = 'SELECT block_id, ip, note, r_datetime' .
            ' FROM pbb_blocks' .
            ' ORDER BY ip';
    return pocket_db_getAll($sql);
}

/**
 *  禁止IPか判定
 *
 *  @access public
 *  @param  string  $ip                 IPアドレス
 */
function db_is_exist_block4ip($ip)
{
    $sql = 'SELECT block_id' .
            ' FROM pbb_blocks' .
            ' WHERE ip = ?';
    $params = array(
        $ip
    );
    return (bool)pocket_db_getOne($sql, $params);
}

/**
 *  禁止IP情報の登録
 *
 *  @access public
 *  @param  string  $ip                 IPアドレス
 *  @param  string  $note               備考
 */
function db_insert_block($ip, $note)
{
    $data = array(
        'ip' => $ip,
        'note' => $note,
        'r_datetime' => pocket_db_getNow()
    );
    return pocket_db_insert('pbb_blocks', $data, 'pbb_blocks_block_id_seq');
}

/**
 *  禁止IP情報の更新
 *
 *  @access public
 *  @param  integer $block_id           ID
 *  @param  string  $ip                 IPアドレス
 *  @param  string  $note               備考
 */
function db_update_block($block_id, $ip, $note)
{
    $data = array(
        'ip' => $ip,
        'note' => $note,
        'r_datetime' => pocket_db_getNow()
    );
    $where = array(
        'block_id' => intval($block_id)
    );
    return pocket_db_update('pbb_blocks', $data, $where);
}

/**
 *  禁止IP情報の削除
 *
 *  @access public
 *  @param  integer $block_id           ID
 */
function db_delete_block($block_id)
{
    return pocket_db_delete('pbb_blocks', 'block_id', intval($block_id));
}

?>
